#!/bin/bash

TestClasses=(org.apache.druid.query.UnionQueryRunnerTest
org.apache.druid.query.ResultGranularTimestampComparatorTest
org.apache.druid.query.DataSourceTest
org.apache.druid.query.DefaultQueryMetricsTest
org.apache.druid.query.SchemaEvolutionTest
org.apache.druid.query.datasourcemetadata.DataSourceMetadataQueryTest
org.apache.druid.query.topn.TopNMetricSpecOptimizationsTest
org.apache.druid.query.topn.DefaultTopNQueryMetricsTest
org.apache.druid.query.topn.TopNQueryTest
org.apache.druid.query.topn.TopNQueryBuilderTest
org.apache.druid.query.scan.ScanQueryRunnerFactoryTest
org.apache.druid.query.scan.ScanQueryLimitRowIteratorTest
org.apache.druid.query.search.SearchQueryTest
org.apache.druid.query.search.DefaultSearchQueryMetricsTest
org.apache.druid.query.groupby.DefaultGroupByQueryMetricsTest
org.apache.druid.query.groupby.GroupByQueryTest
org.apache.druid.query.groupby.GroupByQueryBuilderTest
org.apache.druid.query.timeseries.TimeseriesQueryTest
org.apache.druid.query.timeseries.DefaultTimeseriesQueryMetricsTest
org.apache.druid.query.timeseries.TimeseriesQueryQueryToolChestTest
org.apache.druid.query.timeseries.TimeseriesQueryRunnerBonusTest
org.apache.druid.segment.filter.SpatialFilterBonusTest)

for testclass in ${TestClasses[@]}
do
echo $testclass
mvn -P skip-static-checks -Dweb.console.skip=true -Dmaven.javadoc.skip=true -Dtest=$testclass -pl processing test
done
